Package org.apache.solr.client.solrj.response

# Class FacetField

java.lang.Object
org.apache.solr.client.solrj.response.FacetField

All Implemented Interfaces:
  `Serializable`

public class FacetField extends Object implements Serializable
A utility class to hold the facet response. It could use the NamedList container, but for JSTL, it is nice to have something that implements List, so it can be iterated

Since:
  solr 1.3
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FacetField.Count`

## Constructor Summary

Constructors
Constructor
Description
`FacetField(String n)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String name, long cnt)`
Insert at the end of the list
`FacetField`
`getLimitingFields(long max)`
`String`
`getName()`
`int`
`getValueCount()`
`List<FacetField.Count>`
`getValues()`
`void`
`insert(String name, long cnt)`
Insert at the beginning of the list.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FacetField

public FacetField(String n)

## Method Details

### add

public void add(String name, long cnt)
Insert at the end of the list

### insert

public void insert(String name, long cnt)
Insert at the beginning of the list.

### getName

public String getName()

### getValues

public List<FacetField.Count> getValues()

### getValueCount

public int getValueCount()

### getLimitingFields

public FacetField getLimitingFields(long max)

### toString

public String toString()

Overrides:
  `toString` in class `Object`